### org.jfree.layouting.layouter.style.resolver.computed.fonts

# Class FontStyleResolveHandler

- `java.lang.Object`
- - `org.jfree.layouting.layouter.style.resolver.computed.ConstantsResolveHandler`
  - - `org.jfree.layouting.layouter.style.resolver.computed.fonts.FontStyleResolveHandler`

Implemented Interfaces:
  ResolveHandler

`public class FontStyleResolveHandler`
`extends ConstantsResolveHandler`

Creation-Date: 18.12.2005, 20:55:31

Author:
  Thomas Morgner

  ## Constructor Summary

  `FontStyleResolveHandler()`

  ## Method Summary

  `StyleKey[]`

  `getRequiredStyles()`
    This indirectly defines the resolve order.

  ### Methods inherited from class org.jfree.layouting.layouter.style.resolver.computed.ConstantsResolveHandler

  `addNormalizeValue`, `addValue`, `getFallback`, `getRequiredStyles`, `lookupValue`, `resolve`, `resolveValue`, `setFallback`

## Constructor Details

### FontStyleResolveHandler

    public FontStyleResolveHandler()

## Method Details

### getRequiredStyles

    public StyleKey[] getRequiredStyles()

> This indirectly defines the resolve order. The higher the order, the more dependent is the resolver on other resolvers to be complete.
> Specified by:
>   getRequiredStyles in interface ResolveHandler
> Overrides:
>   getRequiredStyles in interface ConstantsResolveHandler
> Returns: